Bug 120803 - g++ internal failure in tsubst_decl, at cp/pt.c:5653
g++ internal failure in tsubst_decl, at cp/pt.c:5653
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc3 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2004-04-13 20:25 EDT by Mark Terribile
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-03 16:38:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
preprocessed source code (713.53 KB, text/plain)
2004-04-13 20:26 EDT, Mark Terribile
no flags Details

  None (edit)
Description Mark Terribile 2004-04-13 20:25:05 EDT
Description of problem:
g++ fails with message 

mem.cc: In member function `int PODS_arena<Maxbuf, Blob_sz,
   N_buckets>::find_to_alloc(unsigned int) [with int Maxbuf = 32, int
Blob_sz =
   4096, int N_buckets = 8]':
mem.cc:9:   instantiated from here
mem.cc:377: Internal compiler error in tsubst_decl, at cp/pt.c:5653
Please submit a full bug report,
with preprocessed source if appropriate.

Version-Release number of selected component (if applicable):
$ g++ -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
Thread model: posix
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)

How reproducible:

Steps to Reproduce:
1.Compile preprocessed source code attached
Actual results:

As shown above

Expected results:

Additional info:
Comment 1 Mark Terribile 2004-04-13 20:26:41 EDT
Created attachment 99389 [details]
preprocessed source code
Comment 2 Jakub Jelinek 2004-04-14 08:55:36 EDT
3.2.2-5? That is not RHEL3 GCC nor from any of the RHEL3 updates.
With gcc 3.2.3-32 I don't get any such ICE.

Note You need to log in before you can comment on or make changes to this bug.